morgan pushed to branch maint-14.0 at The Tor Project / Applications / tor-browser-build
Commits:
4a836c67 by Nicolas Vigier at 2024-10-31T18:20:36+00:00
Bug 43245: Use separate entitlements for signing tor
Use a separate entitlements file for signing the tor binary, with
`com.apple.security.cs.allow-unsigned-executable-memory` enabled.
- - - - -
2 changed files:
- + tools/signing/macos-entitlements/tor.xml
- tools/signing/wrappers/sign-rcodesign-128
Changes:
=====================================
tools/signing/macos-entitlements/tor.xml
=====================================
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<!--
+ Entitlements to apply to the tor process executable.
+-->
+<plist version="1.0">
+ <dict>
+ <!-- tor needs this when connecting to PoW onion-services.
+ See tor-browser#43250 and tor#40988 -->
+ <key>com.apple.security.cs.allow-unsigned-executable-memory</key><true/>
+
+ <!-- Allow loading third party libraries to support pkcs11 modules -->
+ <key>com.apple.security.cs.disable-library-validation</key><true/>
+
+ <key>com.apple.security.cs.allow-jit</key><true/>
+ </dict>
+</plist>
=====================================
tools/signing/wrappers/sign-rcodesign-128
=====================================
@@ -82,6 +82,7 @@ $rcodesign sign \
--code-signature-flags Contents/Frameworks/ChannelPrefs.framework:runtime \
--code-signature-flags Contents/MacOS/plugin-container.app:runtime \
--code-signature-flags Contents/MacOS/media-plugin-helper.app:runtime \
+ --entitlements-xml-path Contents/MacOS/Tor/tor:/signing/tor-browser-build/tools/signing/macos-entitlements/tor.xml \
--entitlements-xml-path Contents/MacOS/plugin-container.app:/signing/tor-browser-build/tools/signing/macos-entitlements/plugin-container.xml \
--entitlements-xml-path Contents/MacOS/media-plugin-helper.app:/signing/tor-browser-build/tools/signing/macos-entitlements/media-plugin-helper.xml \
--entitlements-xml-path /signing/tor-browser-build/tools/signing/macos-entitlements/firefox.browser.xml \
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/4…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/4…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch main at The Tor Project / Applications / tor-browser-build
Commits:
c4fb2737 by Nicolas Vigier at 2024-10-31T18:19:37+00:00
Bug 43245: Use separate entitlements for signing tor
Use a separate entitlements file for signing the tor binary, with
`com.apple.security.cs.allow-unsigned-executable-memory` enabled.
- - - - -
2 changed files:
- + tools/signing/macos-entitlements/tor.xml
- tools/signing/wrappers/sign-rcodesign-128
Changes:
=====================================
tools/signing/macos-entitlements/tor.xml
=====================================
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<!--
+ Entitlements to apply to the tor process executable.
+-->
+<plist version="1.0">
+ <dict>
+ <!-- tor needs this when connecting to PoW onion-services.
+ See tor-browser#43250 and tor#40988 -->
+ <key>com.apple.security.cs.allow-unsigned-executable-memory</key><true/>
+
+ <!-- Allow loading third party libraries to support pkcs11 modules -->
+ <key>com.apple.security.cs.disable-library-validation</key><true/>
+
+ <key>com.apple.security.cs.allow-jit</key><true/>
+ </dict>
+</plist>
=====================================
tools/signing/wrappers/sign-rcodesign-128
=====================================
@@ -82,6 +82,7 @@ $rcodesign sign \
--code-signature-flags Contents/Frameworks/ChannelPrefs.framework:runtime \
--code-signature-flags Contents/MacOS/plugin-container.app:runtime \
--code-signature-flags Contents/MacOS/media-plugin-helper.app:runtime \
+ --entitlements-xml-path Contents/MacOS/Tor/tor:/signing/tor-browser-build/tools/signing/macos-entitlements/tor.xml \
--entitlements-xml-path Contents/MacOS/plugin-container.app:/signing/tor-browser-build/tools/signing/macos-entitlements/plugin-container.xml \
--entitlements-xml-path Contents/MacOS/media-plugin-helper.app:/signing/tor-browser-build/tools/signing/macos-entitlements/media-plugin-helper.xml \
--entitlements-xml-path /signing/tor-browser-build/tools/signing/macos-entitlements/firefox.browser.xml \
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/c…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/c…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch main at The Tor Project / Applications / tor-browser-build
Commits:
429a5220 by Nicolas Vigier at 2024-10-31T17:35:09+01:00
Bug 41243: Use separate entitlements for signing tor
Use a separate entitlements file for signing the tor binary, with
`com.apple.security.cs.allow-unsigned-executable-memory` enabled.
- - - - -
2 changed files:
- + tools/signing/macos-entitlements/tor.xml
- tools/signing/wrappers/sign-rcodesign-128
Changes:
=====================================
tools/signing/macos-entitlements/tor.xml
=====================================
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<!--
+ Entitlements to apply to the tor process executable.
+-->
+<plist version="1.0">
+ <dict>
+ <!-- tor needs this when connecting to PoW onion-services.
+ See tor-browser#43250 and tor#40988 -->
+ <key>com.apple.security.cs.allow-unsigned-executable-memory</key><true/>
+
+ <!-- Allow loading third party libraries to support pkcs11 modules -->
+ <key>com.apple.security.cs.disable-library-validation</key><true/>
+
+ <key>com.apple.security.cs.allow-jit</key><true/>
+ </dict>
+</plist>
=====================================
tools/signing/wrappers/sign-rcodesign-128
=====================================
@@ -82,6 +82,7 @@ $rcodesign sign \
--code-signature-flags Contents/Frameworks/ChannelPrefs.framework:runtime \
--code-signature-flags Contents/MacOS/plugin-container.app:runtime \
--code-signature-flags Contents/MacOS/media-plugin-helper.app:runtime \
+ --entitlements-xml-path Contents/MacOS/Tor/tor:/signing/tor-browser-build/tools/signing/macos-entitlements/tor.xml \
--entitlements-xml-path Contents/MacOS/plugin-container.app:/signing/tor-browser-build/tools/signing/macos-entitlements/plugin-container.xml \
--entitlements-xml-path Contents/MacOS/media-plugin-helper.app:/signing/tor-browser-build/tools/signing/macos-entitlements/media-plugin-helper.xml \
--entitlements-xml-path /signing/tor-browser-build/tools/signing/macos-entitlements/firefox.browser.xml \
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/4…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/4…
You're receiving this email because of your account on gitlab.torproject.org.
Pier Angelo Vendrame pushed to branch tor-browser-128.4.0esr-14.5-1 at The Tor Project / Applications / Tor Browser
Commits:
7b61c406 by Henry Wilkes at 2024-10-31T10:32:12+00:00
fixup! Bug 42305: Add script to combine translation files across versions.
Bug 43272: Fix git fetch in translation CI script.
- - - - -
3f690c6b by Henry Wilkes at 2024-10-31T10:47:28+00:00
fixup! Add CI for Tor Browser
Bug 43272: Run translation CI whenever CI script changes.
- - - - -
2 changed files:
- .gitlab/ci/update-translations.yml
- tools/torbrowser/l10n/combine-translation-versions.py
Changes:
=====================================
.gitlab/ci/update-translations.yml
=====================================
@@ -7,6 +7,9 @@
- "**/*.properties"
- "**/*.dtd"
- "**/*strings.xml"
+ - "**/update-translations.yml"
+ - "**/l10n/combine/combine.py"
+ - "**/l10n/combine-translation-versions.py"
- if: $FORCE_UPDATE_TRANSLATIONS == "true"
variables:
TOR_BROWSER_COMBINED_FILES_JSON: "combined-translation-files.json"
=====================================
tools/torbrowser/l10n/combine-translation-versions.py
=====================================
@@ -145,7 +145,7 @@ class BrowserBranch:
# Minimal fetch of non-HEAD branch to get the file paths.
# Individual file blobs will be downloaded as needed.
git_run(
- ["fetch", "--depth=1", "--filter=blob:none", "origin", self._ref]
+ ["fetch", "--depth=1", "--filter=blob:none", "origin", self.name]
)
self._file_paths = git_lines(
["ls-tree", "-r", "--format=%(path)", self._ref]
@@ -178,7 +178,7 @@ def get_stable_branch(
# Moreover, we *assume* that the branch with the most recent ESR version
# with such a tag will be used in the *next* stable build in
# tor-browser-build.
- tag_glob = f"{compare_version.prefix}-*esr-*-*-build1"
+ tag_glob = f"{compare_version.prefix}-*-build1"
# To speed up, only fetch the tags without blobs.
git_run(
@@ -188,10 +188,15 @@ def get_stable_branch(
legacy_branches = []
stable_annotation_regex = re.compile(r"\bstable\b")
legacy_annotation_regex = re.compile(r"\blegacy\b")
+ tag_pattern = re.compile(
+ rf"^{re.escape(compare_version.prefix)}-[^-]+esr-[^-]+-[^-]+-build1$"
+ )
for build_tag, annotation in (
line.split(" ", 1) for line in git_lines(["tag", "-n1", "--list", tag_glob])
):
+ if not tag_pattern.match(build_tag):
+ continue
is_stable = bool(stable_annotation_regex.search(annotation))
is_legacy = bool(legacy_annotation_regex.search(annotation))
if not is_stable and not is_legacy:
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/compare/8dbd8d…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser/-/compare/8dbd8d…
You're receiving this email because of your account on gitlab.torproject.org.
asciiwolf pushed to branch main at The Tor Project / Applications / torbrowser-launcher
Commits:
9f55ecec by intrigeri at 2024-10-15T11:17:37+00:00
AppArmor: remove duplicate rule
We include the gnome abstraction, which itself includes the X abstraction, so
at least in theory including the X abstraction explicitly should be a no-op.
It looks like adding this line was done based on an incorrect assumption (that
Lubuntu does not include the gnome abstraction), and even if that assumption
were correct, adding this line would not fix the problem (because the parser
would fail to compile the profile regardless).
- https://gitlab.torproject.org/tpo/applications/torbrowser-launcher/-/merge_…
- https://gitlab.torproject.org/tpo/applications/torbrowser-launcher/-/merge_…
If there's ever evidence of a system where this line actually solves a problem,
we can reconsider, and I'll be very curious to understand why.
- - - - -
a82c1a02 by asciiwolf at 2024-10-31T10:16:38+00:00
Merge branch 'remove-duplicate-rule' into 'main'
AppArmor: remove duplicate rule
See merge request tpo/applications/torbrowser-launcher!18
- - - - -
1 changed file:
- apparmor/torbrowser.Browser.firefox
Changes:
=====================================
apparmor/torbrowser.Browser.firefox
=====================================
@@ -12,7 +12,6 @@ profile torbrowser_firefox @{torbrowser_firefox_executable} {
#include <abstractions/opencl>
#include if exists <abstractions/vulkan>
#include if exists <abstractions/dbus-session>
- #include if exists <abstractions/X>
deny capability sys_ptrace,
View it on GitLab: https://gitlab.torproject.org/tpo/applications/torbrowser-launcher/-/compar…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/torbrowser-launcher/-/compar…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch maint-13.5 at The Tor Project / Applications / tor-browser-build
Commits:
7dfebb7a by Nicolas Vigier at 2024-10-30T18:36:12+00:00
Bug 41286: Update the deploy update scripts to optinally take an override hash
- - - - -
1 changed file:
- tools/signing/upload-update_responses-to-staticiforme
Changes:
=====================================
tools/signing/upload-update_responses-to-staticiforme
=====================================
@@ -58,12 +58,20 @@ cat << EOF > "$deploy_script"
#!/bin/bash
set -e
-echo "Deploying version $tbb_version"
-echo "update_responses_commit: $update_responses_commit"
+if test "\$#" -gt 1; then
+ echo >&2 "Wrong number of arguments"
+ exit 2
+fi
+
+commit=$update_responses_commit
+test "\$#" -eq 1 && commit="\$1"
+
+test "\$#" -eq 0 && echo "Deploying version $tbb_version"
+echo "update_responses_commit: \$commit"
cd "$update_dir"
git fetch
-changed_files="\$(git diff --name-only HEAD $update_responses_commit)"
+changed_files="\$(git diff --name-only HEAD \$commit)"
if echo "\$changed_files" | grep -qv "$tbb_version_type"
then
echo >&2 "Error: checking out new update_response_commit will changes"
@@ -75,7 +83,7 @@ then
echo >&2 "See tor-browser-build#41168 for more details."
exit 1
fi
-git checkout "$update_responses_commit"
+git checkout "\$commit"
static-update-component aus1.torproject.org
EOF
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/7…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/7…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch maint-14.0 at The Tor Project / Applications / tor-browser-build
Commits:
5c1ddf37 by Nicolas Vigier at 2024-10-30T18:35:18+00:00
Bug 41286: Update the deploy update scripts to optinally take an override hash
- - - - -
1 changed file:
- tools/signing/upload-update_responses-to-staticiforme
Changes:
=====================================
tools/signing/upload-update_responses-to-staticiforme
=====================================
@@ -55,12 +55,20 @@ cat << EOF > "$deploy_script"
#!/bin/bash
set -e
-echo "Deploying version $tbb_version"
-echo "update_responses_commit: $update_responses_commit"
+if test "\$#" -gt 1; then
+ echo >&2 "Wrong number of arguments"
+ exit 2
+fi
+
+commit=$update_responses_commit
+test "\$#" -eq 1 && commit="\$1"
+
+test "\$#" -eq 0 && echo "Deploying version $tbb_version"
+echo "update_responses_commit: \$commit"
cd "$update_dir"
git fetch
-changed_files="\$(git diff --name-only HEAD $update_responses_commit)"
+changed_files="\$(git diff --name-only HEAD \$commit)"
if echo "\$changed_files" | grep -qv "$tbb_version_type"
then
echo >&2 "Error: checking out new update_response_commit will changes"
@@ -72,7 +80,7 @@ then
echo >&2 "See tor-browser-build#41168 for more details."
exit 1
fi
-git checkout "$update_responses_commit"
+git checkout "\$commit"
static-update-component aus1.torproject.org
EOF
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/5…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/5…
You're receiving this email because of your account on gitlab.torproject.org.
morgan pushed to branch main at The Tor Project / Applications / tor-browser-build
Commits:
1c24b4a9 by Nicolas Vigier at 2024-10-30T17:48:34+01:00
Bug 41286: Update the deploy update scripts to optinally take an override hash
- - - - -
2 changed files:
- .gitlab/issue_templates/Release Prep - Tor Browser Legacy.md
- tools/signing/upload-update_responses-to-staticiforme
Changes:
=====================================
.gitlab/issue_templates/Release Prep - Tor Browser Legacy.md
=====================================
@@ -268,37 +268,9 @@ popd
git show -s --format=%H
```
- On `staticiforme.torproject.org`, deploy new update responses:
- - **NOTE**: for now this is a bit janky, we should somehow update the workflow to be a bit less hacky
- - [ ] Edit an existing `deploy_update_responses-release.sh` script in your `HOME` directory with the newly pushed commit hash
- - **example**: (hash: `d938943`)
- ```bash
- #!/bin/bash
- set -e
-
- echo "Deploying version 14.0"
- echo "update_responses_commit: d938943"
-
- cd "/srv/aus1-master.torproject.org/htdocs/torbrowser"
- git fetch
- changed_files="$(git diff --name-only HEAD d938943)"
- if echo "$changed_files" | grep -qv "release"
- then
- echo >&2 "Error: checking out new update_response_commit will changes"
- echo >&2 "some files outside of the release directory:"
- echo "$changed_files" | grep -v "release" >&2
- echo >&2 "--"
- echo >&2 "If this is really what you want to do, edit this script to"
- echo >&2 "remove the line 'exit 1' and run it again."
- echo >&2 "See tor-browser-build#41168 for more details."
- exit 1
- fi
- git checkout "d938943"
-
- static-update-component aus1.torproject.org
- ```
- - [ ] Enable update responses:
+ - [ ] Enable update responses, passing the commit hash as argument (replace $commit):
```bash
- sudo -u tb-release ./deploy_update_responses-release.sh
+ sudo -u tb-release ./deploy_update_responses-release.sh $commit
```
</details>
=====================================
tools/signing/upload-update_responses-to-staticiforme
=====================================
@@ -55,12 +55,20 @@ cat << EOF > "$deploy_script"
#!/bin/bash
set -e
-echo "Deploying version $tbb_version"
-echo "update_responses_commit: $update_responses_commit"
+if test "\$#" -gt 1; then
+ echo >&2 "Wrong number of arguments"
+ exit 2
+fi
+
+commit=$update_responses_commit
+test "\$#" -eq 1 && commit="\$1"
+
+test "\$#" -eq 0 && echo "Deploying version $tbb_version"
+echo "update_responses_commit: \$commit"
cd "$update_dir"
git fetch
-changed_files="\$(git diff --name-only HEAD $update_responses_commit)"
+changed_files="\$(git diff --name-only HEAD \$commit)"
if echo "\$changed_files" | grep -qv "$tbb_version_type"
then
echo >&2 "Error: checking out new update_response_commit will changes"
@@ -72,7 +80,7 @@ then
echo >&2 "See tor-browser-build#41168 for more details."
exit 1
fi
-git checkout "$update_responses_commit"
+git checkout "\$commit"
static-update-component aus1.torproject.org
EOF
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/1…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/tor-browser-build/-/commit/1…
You're receiving this email because of your account on gitlab.torproject.org.
Pier Angelo Vendrame pushed to branch mullvad-browser-128.4.0esr-14.5-1 at The Tor Project / Applications / Mullvad Browser
Commits:
60885fba by Henry Wilkes at 2024-10-30T19:33:54+01:00
fixup! Adding issue and merge request templates
Bug 43262: Update QA desktop checklist to include testing saved keys and
their preferences.
- - - - -
1 changed file:
- .gitlab/issue_templates/QA - Desktop.md
Changes:
=====================================
.gitlab/issue_templates/QA - Desktop.md
=====================================
@@ -135,6 +135,10 @@ Manual QA test check-list for major desktop releases. Please copy/paste form int
- [ ] Onion-Location pill
- [ ] Client authentication
- You can create an ephemeral client-auth onion-service using [onion share](https://onionshare.org)
+ - [ ] Remember key option saves the key between sessions.
+ - [ ] Saved keys are viewable in preferences (privacy).
+ - [ ] Can remove individual keys.
+ - [ ] Can remove all keys at once.
- [ ] Onion service errors
- [ ] invalid onion: http://invalid.onion
- [ ] onion offline: http://wfdn32ds656ycma5gvrh7duvdvxbg2ygzr3no3ijsya25qm6nnko4iqd.onion/
View it on GitLab: https://gitlab.torproject.org/tpo/applications/mullvad-browser/-/commit/608…
--
View it on GitLab: https://gitlab.torproject.org/tpo/applications/mullvad-browser/-/commit/608…
You're receiving this email because of your account on gitlab.torproject.org.